Bug 150806 - Display error message that prevented a feed from being updated
Summary: Display error message that prevented a feed from being updated
Status: REOPENED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2007-10-13 21:50 UTC by Johannes Jowereit
Modified: 2021-09-29 12:32 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jowereit 2007-10-13 21:50:29 UTC
Version:           1.2.6 (using KDE KDE 3.5.7)
Installed from:    SuSE RPMs
OS:                Linux

If a feed failed to be updated, ATM only the icon of the feed is changed to an exclamation mark, but nothing else. Akregator should display the reason why the feed could not be updated (server error [Not Found, Forbidden], parse error, ...) like e.g. Liferea does. Preferably, it should show the error message until the feed could be updated successfully again (i.e. the message should stay even when Akregator is restarted).
Comment 1 Johannes Jowereit 2010-01-16 22:13:54 UTC
Using Akregator 1.3.3 with KDE 4, I noticed that the error message is shown in a tooltip when hovering over the feed that could not be updated. It still is very hard to discover though, and I would suggest making it more visible. For example, an error bar could be shown above the feed contents.
Comment 2 Justin Zobel 2021-03-09 04:11:44 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.
Comment 3 Johannes Jowereit 2021-03-11 16:05:25 UTC
Tested with Akregator 5.16.3 (20.12.3), the behavior is the same as in 2010; that is, the error message is displayed in a tooltip but that is not discoverable very well.
Comment 4 Fushan Wen 2021-09-28 15:38:40 UTC
https://invent.kde.org/fusionfuture/akregator/-/commit/35b11b1e18374ff85aadd45a2326f488343e4a22

I tried to modify the source code but with no luck. Could the maintainer help to look into it? Thanks in advance.
Comment 5 Bug Janitor Service 2021-09-28 17:36:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/pim/akregator/-/merge_requests/17
Comment 6 Fushan Wen 2021-09-29 09:25:54 UTC
Git commit 220be9f35e48285b95cd9211521a1d4081eab87b by Fushan Wen.
Committed on 29/09/2021 at 06:37.
Pushed by mlaurent into branch 'master'.

Change color of feed title for error fetching status.

Change the color of title if a feed fails to be updated, which makes
the user easier to find feeds with errors in the list.

M  +8    -3    src/subscription/subscriptionlistmodel.cpp
M  +3    -0    src/subscription/subscriptionlistmodel.h

https://invent.kde.org/pim/akregator/commit/220be9f35e48285b95cd9211521a1d4081eab87b
Comment 7 Johannes Jowereit 2021-09-29 11:49:16 UTC
In the interest of transparency I'm reopening the bug; it looks like the merge request has nothing to do with displaying the **error message** that caused the fetch to fail.
Comment 8 Fushan Wen 2021-09-29 11:55:41 UTC
I borrowed this bug because changing color makes it easier to discover which feed fails to be updated and needs attention. Error message has been already in the tooltip.
Comment 9 Johannes Jowereit 2021-09-29 12:32:15 UTC
Thanks for doing that :)

However, this bug is specifically about making the error message more discoverable. If this is not going to be changed, the bug should be closed as WONTFIX.